Skip to main content

Dictionary

Dictionary​

@toothfairyai/sdk@latest…

Accessed via client.dictionary.

Methods​

MethodHTTPEndpoint
getGETGET /dictionary/get/{id}
listGETGET /dictionary/list

get​

async get(id: string)

Endpoint: GET /dictionary/get/{id} · API service

Response fields​

FieldTypeDescription
idstringUnique identifier for the dictionary entry
ownerstringUser ID who owns the dictionary entry
sourceLanguagestringSource language code
targetLanguagestringTarget language code
sourceTextstringSource text to translate
targetTextstringTranslated target text
workspaceIDstringUnique workspace identifier (UUID v4)
posstringPart of speech classification
descriptionstringDictionary entry description
createdBystringUser ID who created the entry
updatedBystringUser ID who last updated the entry
createdAtstringTimestamp when this resource was created
updatedAtstringTimestamp when this resource was last updated

Example​

const result = await client.dictionary.get('agent-id');

list​

async list(limit?: number)

Endpoint: GET /dictionary/list · API service

Example​

const result = await client.dictionary.list();